package enum

type EnterpriseState int32

const (
	EnterpriseStateForNormal = 1
	EnterpriseStateForFreeze = 2
)

func (gt EnterpriseState) String() string {
	switch gt {
	case EnterpriseStateForNormal:
		return "正常"
	case EnterpriseStateForFreeze:
		return "冻结"
	default:
		return "未知"
	}
}

type EnterpriseKind int32

const (
	EnterpriseKindByCentralKitchenForSchool  = 1
	EnterpriseKindByCentralKitchenForFactory = 2
	EnterpriseKindBySelfSupportForSchool     = 3
	EnterpriseKindBySelfSupportForFactory    = 4
	EnterpriseKindByNursingHome              = 5
)

func (gt EnterpriseKind) String() string {
	switch gt {
	case EnterpriseKindByCentralKitchenForSchool:
		return "央厨-学校"
	case EnterpriseKindByCentralKitchenForFactory:
		return "央厨-工厂"
	case EnterpriseKindBySelfSupportForSchool:
		return "自营-学校"
	case EnterpriseKindBySelfSupportForFactory:
		return "自营-工厂"
	case EnterpriseKindByNursingHome:
		return "养老院"
	default:
		return "未知"
	}
}

type EnterprisePvd int32

const (
	EnterprisePvdForOnlinePayment   = 1
	EnterprisePvdForFaceScanPayment = 2
)

func (gt EnterprisePvd) String() string {
	switch gt {
	case EnterprisePvdForOnlinePayment:
		return "在线支付"
	case EnterprisePvdForFaceScanPayment:
		return "刷脸支付"
	default:
		return "未知"
	}
}

type EnterpriseMode int32

const (
	EnterpriseModeForSchool      = 1
	EnterpriseModeForFactory     = 2
	EnterpriseModeForNursingHome = 3
)

func (gt EnterpriseMode) String() string {
	switch gt {
	case EnterpriseModeForSchool:
		return "学校"
	case EnterpriseModeForFactory:
		return "工厂"
	case EnterpriseModeForNursingHome:
		return "养老院"
	default:
		return "未知"
	}
}
